XDR_SET_SCRATCH_BUFF(9)

NAME
xdr_set_scratch_buffer - Attach a scratch buffer for decoding data.

SYNOPSIS

void xdr_set_scratch_buffer(struct xdr_stream * xdr, void * buf, size_t buflen);

ARGUMENTS

xdr
    pointer to xdr_stream struct

buf
    pointer to an empty buffer

buflen
    size of 'buf'

DESCRIPTION

The scratch buffer is used when decoding from an array of pages. If an xdr_inline_decode call spans across page boundaries, then we copy the data into the scratch buffer in order to allow linear access.

COPYRIGHT